
=encoding utf8

=head1 NAME

Sidef::Math::Math

=head1 DESCRIPTION

This class implements ...

=head1 SYNOPSIS

var obj = Math(...)


=head1 INHERITS

Inherits methods from:

       * Sidef::Object::Object

=head1 METHODS

=head2 avg

    Math.avg()

Returns the

Aliases: I<arithmetic_mean>

=cut

=head2 binsplit

    Math.binsplit()

Returns the

=cut

=head2 chinese

    Math.chinese()

Returns the

=cut

=head2 gcd

    Math.gcd()

Returns the

=cut

=head2 geometric_mean

    Math.geometric_mean()

Returns the

=cut

=head2 harmonic_mean

    Math.harmonic_mean()

Returns the

=cut

=head2 lcm

    Math.lcm()

Returns the

=cut

=head2 map

    Math.map()

Returns the

=cut

=head2 max

    Math.max()

Returns the

=cut

=head2 min

    Math.min()

Returns the

=cut

=head2 num2percent

    Math.num2percent()

Returns the

=cut

=head2 prod

    Math.prod()

Returns the

Aliases: I<product>

=cut

=head2 range_map

    Math.range_map()

Returns the

=cut

=head2 range_sum

    Math.range_sum()

Returns the

=cut

=head2 smooth_numbers

    Math.smooth_numbers()

Returns the

=cut

=head2 sum

    Math.sum()

Returns the

=cut
